arrow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject arrow git commit: ARROW-68: Better error handling for not fully setup systems
Date Thu, 17 Mar 2016 22:05:18 GMT
Repository: arrow
Updated Branches:
  refs/heads/master 5881aacef -> c99661069


ARROW-68: Better error handling for not fully setup systems

Author: Micah Kornfield <emkornfield@gmail.com>

Closes #27 from emkornfield/emk_add_nice_errors_PR and squashes the following commits:

c0b9d78 [Micah Kornfield] ARROW-68: Better error handling for systems missing prerequistites


Project: http://git-wip-us.apache.org/repos/asf/arrow/repo
Commit: http://git-wip-us.apache.org/repos/asf/arrow/commit/c9966106
Tree: http://git-wip-us.apache.org/repos/asf/arrow/tree/c9966106
Diff: http://git-wip-us.apache.org/repos/asf/arrow/diff/c9966106

Branch: refs/heads/master
Commit: c99661069c2f1dbd29c3a86e1e0bd5fa3c6c809f
Parents: 5881aac
Author: Micah Kornfield <emkornfield@gmail.com>
Authored: Thu Mar 17 15:05:24 2016 -0700
Committer: Wes McKinney <wesm@apache.org>
Committed: Thu Mar 17 15:05:24 2016 -0700

----------------------------------------------------------------------
 cpp/setup_build_env.sh                | 4 ++--
 cpp/thirdparty/build_thirdparty.sh    | 9 ++++++---
 cpp/thirdparty/download_thirdparty.sh | 1 +
 3 files changed, 9 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/arrow/blob/c9966106/cpp/setup_build_env.sh
----------------------------------------------------------------------
diff --git a/cpp/setup_build_env.sh b/cpp/setup_build_env.sh
index 26a727c..1a33fe3 100755
--- a/cpp/setup_build_env.sh
+++ b/cpp/setup_build_env.sh
@@ -2,8 +2,8 @@
 
 SOURCE_DIR=$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)
 
-./thirdparty/download_thirdparty.sh
-./thirdparty/build_thirdparty.sh
+./thirdparty/download_thirdparty.sh || { echo "download_thirdparty.sh failed" ; return; }

+./thirdparty/build_thirdparty.sh || { echo "build_thirdparty.sh failed" ; return; } 
 source thirdparty/versions.sh
 
 export GTEST_HOME=$SOURCE_DIR/thirdparty/$GTEST_BASEDIR

http://git-wip-us.apache.org/repos/asf/arrow/blob/c9966106/cpp/thirdparty/build_thirdparty.sh
----------------------------------------------------------------------
diff --git a/cpp/thirdparty/build_thirdparty.sh b/cpp/thirdparty/build_thirdparty.sh
index 8de56a6..beb2488 100755
--- a/cpp/thirdparty/build_thirdparty.sh
+++ b/cpp/thirdparty/build_thirdparty.sh
@@ -44,18 +44,21 @@ ln -sf lib "$PREFIX/lib64"
 # use the compiled tools
 export PATH=$PREFIX/bin:$PATH
 
+type cmake >/dev/null 2>&1 || { echo >&2 "cmake not installed.  Aborting.";
exit 1; }
+type make >/dev/null 2>&1 || { echo >&2 "make not installed.  Aborting.";
exit 1; }
 
 # build googletest
+GOOGLETEST_ERROR="failed for googletest!"
 if [ -n "$F_ALL" -o -n "$F_GTEST" ]; then
   cd $TP_DIR/$GTEST_BASEDIR
 
   if [[ "$OSTYPE" == "darwin"* ]]; then
-    CXXFLAGS=-fPIC cmake -DCMAKE_CXX_FLAGS="-std=c++11 -stdlib=libc++ -DGTEST_USE_OWN_TR1_TUPLE=1
-Wno-unused-value -Wno-ignored-attributes"
+    CXXFLAGS=-fPIC cmake -DCMAKE_CXX_FLAGS="-std=c++11 -stdlib=libc++ -DGTEST_USE_OWN_TR1_TUPLE=1
-Wno-unused-value -Wno-ignored-attributes" || { echo "cmake $GOOGLETEST_ERROR" ; exit  1;
}
   else
-    CXXFLAGS=-fPIC cmake .
+    CXXFLAGS=-fPIC cmake . || { echo "cmake $GOOGLETEST_ERROR"; exit  1; }
   fi
 
-  make VERBOSE=1
+  make VERBOSE=1 || { echo "Make $GOOGLETEST_ERROR" ; exit  1; }
 fi
 
 echo "---------------------"

http://git-wip-us.apache.org/repos/asf/arrow/blob/c9966106/cpp/thirdparty/download_thirdparty.sh
----------------------------------------------------------------------
diff --git a/cpp/thirdparty/download_thirdparty.sh b/cpp/thirdparty/download_thirdparty.sh
index 0c80117..c18dd4d 100755
--- a/cpp/thirdparty/download_thirdparty.sh
+++ b/cpp/thirdparty/download_thirdparty.sh
@@ -8,6 +8,7 @@ TP_DIR=$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)
 source $TP_DIR/versions.sh
 
 download_extract_and_cleanup() {
+	type curl >/dev/null 2>&1 || { echo >&2 "curl not installed.  Aborting.";
exit 1; }
 	filename=$TP_DIR/$(basename "$1")
 	curl -#LC - "$1" -o $filename
 	tar xzf $filename -C $TP_DIR


Mime
View raw message